import request from '../../utils/request'

/**
 * 获取日语培训列表
 *
 */
export function GetEducationContractPageList(data) {
    return request({
      url: '/EducationContract/GetEducationContractPageList',
      method: 'post',
      data
    })
}

/**
 * 获取合同详情
 *
 */
export function GetEducationContractInfo(data) {
    return request({
      url: '/EducationContract/GetEducationContractInfo',
      method: 'post',
      data
    })
}

/**
 * 保存合同
 *
 */
export function SetEducationContractInfo(data) {
  return request({
    url: '/EducationContract/SetEducationContractInfo',
    method: 'post',
    data
  })
}

/**
 * 合同操作
 *
 */
export function SetEducationContractAudit(data) {
  return request({
    url: '/EducationContract/SetEducationContractAudit',
    method: 'post',
    data
  })
}

/**
 * 合同操作-下载pdf
 *
 */
export function GetDownLoadEducationContract(data) {
  return request({
    url: '/EducationContract/GetDownLoadEducationContract',
    method: 'post',
    data
  })
}

/**
 * 合同操作-复制
 *
 */
export function SetEducationContractCopy(data) {
  return request({
    url: '/EducationContract/SetEducationContractCopy',
    method: 'post',
    data
  })
}

/**
 * 保存签名
 *
 */
export function SetEducationContractSign(data) {
  return request({
    url: '/EducationContract/SetEducationContractSign',
    method: 'post',
    data
  })
}

